Subject: Re: Microproject idea: new OPT_* macros for PARSE_OPT_NONEG

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Mar 2014 12:00:24 -0700

Duy Nguyen <[email-masked]> writes:

> On Sat, Mar 8, 2014 at 2:20 AM, Junio C Hamano <[email-masked]> wrote:
>> Looking at "git grep -B3 OPT_NONEG" output, it seems that NONEG is
>> associated mostly with OPTION_CALLBACK and OPTION_SET_INT in the
>> existing code.
>>
>> Perhaps OPT_SET_INT should default to not just OPT_NOARG but also
>> OPT_NONEG?
>
> There are OPT_SET_INT() that should not have NONEG in current code. So
> there are two sets of SET_INT anyway. Either we convert them all to a
> new macro that takes an extra flag, or we add OPT_SET_INT_NONEG() that
> covers one set and leave the other set alone.

Are you forgetting the third alternative, of swapping the default,
if the ones that do not want NONEG are in the minority, to reduce
the number of spelled-out instances?